AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
subAccountID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Soft-delete the sub account
response, httpResp, err := client.SubAccountsAPI.DeleteSubAccount(ctx, accountID, subAccountID)
if err != nil {
log.Fatalf("Error deleting sub account: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Sub account deleted! Status: %d\n", httpResp.StatusCode)
if response != nil && response.Message != "" {
fmt.Printf("Response: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}
curl --request DELETE \
--url https://api.ahasend.com/v2/accounts/{account_id}/sub-accounts/{sub_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ahasend.com/v2/accounts/{account_id}/sub-accounts/{sub_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ahasend.com/v2/accounts/{account_id}/sub-accounts/{sub_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "sub account deleted"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}Sub Accounts
Delete Sub Account
Soft-deletes a sub account under the parent account
DELETE
/
v2
/
accounts
/
{account_id}
/
sub-accounts
/
{sub_account_id}
AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
subAccountID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Soft-delete the sub account
response, httpResp, err := client.SubAccountsAPI.DeleteSubAccount(ctx, accountID, subAccountID)
if err != nil {
log.Fatalf("Error deleting sub account: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Sub account deleted! Status: %d\n", httpResp.StatusCode)
if response != nil && response.Message != "" {
fmt.Printf("Response: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}
Platform Partner feature: Sub Accounts is part of our Platform Partner capabilities and is currently in early access. Contact us to enable it on your account.
⌘I

